Firefox 78 requires nodejs >= 10.21

Bug #1882185 reported by Rico Tzschichholz on 2020-06-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
High
Unassigned
nodejs (Ubuntu)
High
Olivier Tilloy

Bug Description

Firefox 78 RC week starts at 22th June 2020 with a bumped nodejs requirement to 10.21 (https://bugzilla.mozilla.org/show_bug.cgi?id=1641863).

https://hg.mozilla.org/releases/mozilla-beta/rev/2e5f70995d3a

Rico Tzschichholz (ricotz) wrote :

Focal and Groovy are still providing nodejs 10.x only while the nodejs-mozilla is 12.x in Eoan and earlier.

An update to nodejs 12.18.0 is needed here to match the 10.21.0 release.

https://nodejs.org/en/download/releases/

Olivier Tilloy (osomon) on 2020-06-08
Changed in firefox (Ubuntu):
status: New → Triaged
importance: Undecided → High
summary: - Firefox 79 requires nodejs >= 10.21
+ Firefox 78 requires nodejs >= 10.21
description: updated
Rico Tzschichholz (ricotz) wrote :

Debian provides the updated nodejs versions for a merge -- https://tracker.debian.org/pkg/nodejs

10.21.0 and 12.18.0 are fixing several CVE issues.

https://nodejs.org/en/blog/

Olivier Tilloy (osomon) wrote :

I'm attaching a debdiff for nodejs 12.18.0 in Groovy (merging the version from unstable), please sponsor.

Changed in nodejs (Ubuntu):
status: New → In Progress
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → High

Uploaded with some little changes, such as:
- keep PYTHON=python2 exported in rules file (not sure if still needed, but better safe than sorry)
- revert the node-acorn change in dependencies, it looks like not needed anymore since now acorn provides it correctly.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nodejs - 12.18.2~dfsg-1ubuntu2

---------------
nodejs (12.18.2~dfsg-1ubuntu2) groovy; urgency=medium

  * debian/patches/3f071e3.patch:
  * debian/patches/1a9c676a141b32483b48884f8cc0330e64c8e17f.patch:
    - cherry-pick two upstream changes in v8 to fix a testsuite failure on
      ppc64el for some sha1 calculation errors (LP: #1887144)

 -- Gianfranco Costamagna <email address hidden> Wed, 19 Aug 2020 20:47:23 +0200

Changed in nodejs (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers